Get Binding Action

Get Binding Action
Get binding action for given action resource type and external input type.

Get binding action for given action resource type and external input type.

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/custom/resource-actions/binding-action
COPY
Query Parameters
string
resourceType
Required

The action resource type

string
externalType
Required

The external input type


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with the BindingAction for the given resourceTYpe and externalType

Returns BindingAction of type(s) */*
{
    "actionName": "string",
    "actionInputs": [
        {
            "inputKey": "string",
            "value": "string",
            "type": {
                "dataType": "string",
                "referenceType": "string",
                "fields": [
                    "ComplexTypeField Object"
                ],
                "isMultiple": false
            },
            "bindingAction": "BindingAction Object"
        }
    ]
}

403

'Forbidden' no resource action viewing rights

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/form-service/api/custom/resource-actions/binding-action?resourceType=value&externalType=v